
# Reticulum
Reticulum 是一个基于密码学的网络栈。人们可以用现有的硬件设备基于 Reticulum 搭建本地或是广域的网络。Reticulum 就算是在极高延迟与极低带宽的情况下仍旧可以运行。

Reticulum 的愿景是让任何人都能够搭建自己的通讯网络——用独立、互联、自治的网络覆盖广阔地域从未如此简单而廉价。Reticulum 是为了人民的、势不可挡的网络。

<p align="center"><img width="30%" src="gfx/reticulum_logo_512.png"></p>

Reticulum 不单单是*一个*网络。它是用来搭建*成千上万*网络的工具——成千上万个没有停止按钮(kill-switches)、没有监控、没有审查与控制，但却能协调运作、有机结合的网络。Reticulum 是为了人类的网络。

在用户看来，Reticulum 可以用来构建尊重社区与个人的自治性和独立性的应用。它提供了无法被外部操纵、篡改或是审查的安全数字通信。

Reticulum 可以用于搭建小型乃至覆盖全星球的网络体系，而无需任何层级或是官僚化的控制管理结构。Reticulum 同时还能保证社区与个人对自己那部分网络的主权。

## 值得注意的特质
虽然 Reticulum 处理的是任何一个网络栈都在尝试解决的问题，即让数据通过数个中间节点，可靠地从一方传输到另一方，但其处理这一问题的方式与其他网络技术却有着很大差异。

- Reticulum 不使用源地址。数据包中不会包含源地址、发送位置、机器与操作者相关的信息。
- Reticulum 中没有对于地址空间的中央控制。任何人都可以在需要的时候分配任意多的地址。
- Reticulum 保证端到端连接性。新生的地址会在数秒到数分钟之内全局可及。
- 地址是*[自主](https://zh.wikipedia.org/zh-cn/%E8%BA%AB%E4%BB%BD%E8%87%AA%E4%B8%BB%E6%9D%83)*且*便携*的。它们可以在物理上被移动到网络的另一位置并仍旧保持可及。
- 所有通信都默认由[现代而健壮的加密](crypto_zh-cn.html)保护。
- 所有的密钥都是临时密钥，且通信自带前向保密。
- 无法在 Reticulum 网络中建立未加密连接。
- 无法在 Reticulum 网络中向任何目标发送未加密的数据包。
- 收到未加密数据包的目标会将其视为无效数据包并丢弃。

<p align="right"><a href="start_zh-cn.html">下一个主题: 开始使用</a></p>
