
# Reticulum
Reticulum is de op cryptografie gebaseerde netwerkstack voor het bouwen van lokale en wide-area-netwerken met direct beschikbare hardware. Reticulum kan zelfs onder ongunstige omstandigheden blijven werken met een zeer hoge latentie en extreem lage bandbreedte.

De visie van Reticulum is om iedereen in staat te stellen zijn eigen soevereine communicatienetwerken te exploiteren en het goedkoop en gemakkelijk te maken om grote gebieden te bestrijken met een groot aantal onafhankelijke, onderling verbonden en autonome netwerken. Reticulum is onstuitbare netwerken voor het volk.

<p align="center"><img width="30%" src="gfx/reticulum_logo_512.png"></p>

Reticulum is niet *één* netwerk. Het is een hulpmiddel voor het bouwen van *duizenden netwerken*. Netwerken zonder kill-switches, surveillance, censuur en controle. Netwerken die vrij met elkaar kunnen samenwerken, zich kunnen associëren en zich kunnen losmaken. Reticulum is netwerken voor mensen.

Vanuit het perspectief van de gebruiker maakt Reticulum de creatie mogelijk van applicaties die de autonomie en soevereiniteit van gemeenschappen en individuen respecteren en versterken. Reticulum biedt veilige digitale communicatie die niet kan worden onderworpen aan controle, manipulatie of censuur van buitenaf.

Reticulum maakt de constructie mogelijk van zowel kleine als potentieel planetaire netwerken, zonder enige noodzaak voor hiërarchische of beaureucratische structuren om deze te controleren of te beheren, terwijl individuen en gemeenschappen volledige soevereiniteit over hun eigen netwerksegmenten worden gegarandeerd.

## Opmerkelijke kenmerken
Hoewel Reticulum hetzelfde probleem oplost als elke netwerkstack, namelijk gegevens betrouwbaar van het ene punt naar het andere krijgen via een aantal tussenpersonen, doet het dit op een manier die heel anders is dan andere netwerktechnologieën.

- Reticulum gebruikt geen bronadressen. Geen van de verzonden pakketten bevat informatie over het adres, de plaats, de machine of de persoon waar ze vandaan komen.
- Er is geen centrale controle over de adresruimte in Reticulum. Iedereen kan zoveel adressen toewijzen als hij nodig heeft, wanneer hij die nodig heeft..
- Reticulum zorgt voor end-to-end connectiviteit. Nieuw gegenereerde adressen worden binnen enkele seconden tot enkele minuten wereldwijd bereikbaar.
- Adressen zijn *zelf-soeverein* en *draagbaar*. Zodra een adres is aangemaakt, kan het fysiek naar een andere plek in het netwerk worden verplaatst en bereikbaar blijven.
- Alle communicatie is standaard beveiligd met [sterke, moderne encryptie](crypto_nl.html).
- Alle encryptiesleutels zijn kortstondig en communicatie biedt standaard voorwaartse geheimhouding.
- Het is niet mogelijk om ongecodeerde links tot stand te brengen in Reticulum-netwerken.
- Het is niet mogelijk om ongecodeerde pakketten naar bestemmingen in het netwerk te verzenden.
- Bestemmingen die niet-versleutelde pakketten ontvangen, zullen deze als ongeldig verwijderen.

<p align="right"><a href="start_nl.html">Volgend onderwerp: aan de slag</a></p>
